%define name	telnet
%define version	0.17
%define release	9mdk

Summary:	Client for the telnet remote login protocol.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Remote access
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-telnet-%{version}.tar.bz2
Source2:	telnet-client.tar.bz2

Patch0:		telnet-client-cvs.patch.bz2
Patch1:		telnetd-0.17.diff.bz2
Patch2:		telnet-0.17-env.patch.bz2
Patch3:		telnet-0.17-pek.patch.bz2
Patch4:		telnet-0.17-issue.patch.bz2
Patch5:		telnet-0.17-sa-01-49.patch.bz2
Patch6:		telnet-0.17-8bit.patch.bz2

BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
Conflicts:	telnet-client-krb5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Telnet is a popular protocol for logging into remote systems over the
Internet. The telnet package provides a command line telnet client.

%prep 

%setup -q -n netkit-telnet-%{version}
mv telnet telnet-NETKIT
%setup -T -D -q -a 2 -n netkit-telnet-%{version}

%patch0 -p0 -b .cvs
%patch1 -p0 -b .fix
%patch2 -p1 -b .env
%patch3 -p0 -b .pek
%patch4 -p1 -b .issue
%patch5 -p1 -b .sa-01-49
%patch6 -p1 -b .8bit

%build
sh configure --with-c-compiler=gcc
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

# remove stripping
perl -pi -e 's|install[ ]+-s|install|g' \
	./telnet/GNUmakefile \
	./telnetd/Makefile \
	./telnetlogin/Makefile \
	./telnet-NETKIT/Makefile

make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 telnet/telnet  %{buildroot}%{_bindir}/
install -m0644 telnet/telnet.1 %{buildroot}%{_mandir}/man1/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%attr(0755,root,root) %{_bindir}/telnet
%attr(0644,root,root) %{_mandir}/man1/telnet.1*

%changelog
* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.17-9mdk
- re-added into cooker contrib, handy as it won't require kerberos libs,
  and neat when you debug for example mail servers
- used parts of the spec file from CVS and the patches from rh rawhide
  and their telnet-0.17-26.2.src.rpm package

* Tue Jul 26 2001 Yves Duret <yduret@mandrakesoft.com> 0.17-8mdk
- rebuild

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 0.17-7mdk
- fix some file's permission
- remove very old wm.config

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.17-6mdk
- fix menu title
- add missing 48x48 icon

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-5mdk
- Requires: xinetd only for -server.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-4mdk
- Relaunch xinetd condrestart if xinetd is installed.

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.17-3mdk
- %config(noreplace)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.17-2mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 0.17-1mdk
- rebuild with new vesion
- _real_ macrosifications

* Mon Jul 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16-6mdk
- Add xinetd support.
- permit telnet queries only for exported variable. (rh).

* Wed Jun 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-5mdk
- added UTF-8 patch from Alastair.McKinstry@compaq.com
- modularized menu and man pages paths
- removed obsolete "wmconfig" menu file

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16-4mdk
- added icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16-3mdk
- Fix bad menu entry.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-2mdk
- Added menu

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-1mdk
- 0.16
- fixed groups
- spec-helper

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.14.
- Add the debian mechanism for telnet-server (go via a wrapper to login).
- Fix gcc2.95 compilation.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Security fix to don't don't trust random TERM variables in telnetd

* Wed Jul 21 1999 Grgoire Colbert <gregus@etudiant.net>
- 9mdk : add fr locale

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.12
- split into two packages: telnet and telnet-server
- use NetKit telnet client (0.12 improved a lot...)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- use glibc utmp routines.

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix the fix (wrong way memcpy).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix "telnet localhost" bus error on sparc64 (alpha?).

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- use OpenBSD telnet client (and fix minor core dump with .telnetrc #247)

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- use openpty in telnetd

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build

